#from CurveADT import *
from CurveADTscipy import *
from Data import *
from Load import *
from Plot import *

X = range(11)
Y = list(map(lambda x: x**2, X))

c1 = CurveT(X, Y, 1)

print(c1.eval(6.5))

PlotCurve(c1, 50)

c2 = CurveT(X, Y, 2)

print(c2.eval(6.5))

PlotCurve(c2, 5)
#PlotCurve(c2, 50) will look strange because of edge effects
#scipy and lambda version for A2 have same behaviour

Load('glass.csv')

c3 = Data.getC(9)
PlotCurve(c3, 50)
print(Data.eval(18, 34))

c4 = Data.slice(18, 1)
PlotCurve(c4, 50)
print(c4.eval(34))

